Loading...
Searching...
No Matches
uimonitorinterface.h File Reference

generic interface to monitor any long process A long process needs to be interrupted by the user and to report progress while running. This interface is used by long process in this library. More...

`#include <numeric>`
`#include <QString>`
`#include "../../exportinmportconfig.h"`

Go to the source code of this file.

## Classes

class | pappso::UiMonitorInterface

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Detailed Description

generic interface to monitor any long process A long process needs to be interrupted by the user and to report progress while running. This interface is used by long process in this library.

Date
  14/5/2021

Author
  Olivier Langella

Definition in file uimonitorinterface.h.